unbound: pymod Namespace Reference

unbound 0.1

Functions
pymod Namespace Reference

## Functions
def | init (id, cfg)
def | deinit (id)
def | inform_super (id, qstate, superqstate, qdata)
def | setTTL (qstate, ttl)
def | dataHex (data, prefix="")
def | printReturnMsg (qstate)
def | operate (id, event, qstate, qdata)

## Detailed Description

     ubmodule-msg.py: simple response packet logger

     Authors: Zdenek Vasicek (vasicek AT fit.vutbr.cz)
              Marek Vavrusa  (xvavru00 AT stud.fit.vutbr.cz)

     Copyright (c) 2008. All rights reserved.

     This software is open source.

     Redistribution and use in source and binary forms, with or without
     modification, are permitted provided that the following conditions
     are met:

     Redistributions of source code must retain the above copyright notice,
     this list of conditions and the following disclaimer.

     Redistributions in binary form must reproduce the above copyright notice,
     this list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.

     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
     "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
     TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
     PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE
     LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
     CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
     SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
     INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
     CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
     ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
     POSSIBILITY OF SUCH DAMAGE.

     Modified for unit test by Wouter Wijngaards, NLnet Labs, 2009.

## Function Documentation

## ◆ setTTL()

def pymod.setTTL | ( |  | qstate,
|  |  | ttl
| ) |  |

    Sets return_msg TTL and all the RRs TTL

References log_err(), log_info(), and strmodulevent().